SENDER - the address belongs to the Partner. Requires ownershipDeclaration: true. receiverName is not used.PRIVATE_INDIVIDUAL - the address belongs to a natural person. Requires receiverName.BUSINESS - the address belongs to a company. Requires receiverName.curl --location 'http://k8s-partnera-partnera-7873f15634-69ebb7c047cac3d1.elb.eu-central-1.amazonaws.com/v1/partner/whitelisted-wallets' \
--header 'x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"currency": "BTC",
"network": "BTC",
"walletAddress": "3KRYKbqH24iNbmp8Vjd2i6WLRmGWLbHTms",
"walletType": "SELF_CUSTODY",
"ownerType": "PRIVATE_INDIVIDUAL",
"receiverName": "John Smith"
}'{
"id": "5b1e2c9a-7f3d-4e8b-a1c6-9d2f4e7b3a10",
"currency": "BTC",
"network": "BTC",
"walletAddress": "3KRYKbqH24iNbmp8Vjd2i6WLRmGWLbHTms",
"memo": null,
"walletType": "SELF_CUSTODY",
"ownerType": "PRIVATE_INDIVIDUAL",
"receiverName": "John Smith",
"createdAt": "2026-10-05T13:24:10.512Z"
}